@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Flex:opsz,wght@8..144,100..1000&display=swap');

* {
    font-family: "Poppins", serif;
}

.toptext {
    color: purple;
    vertical-align: middle;
}

.topimg {
    width: 40px;
}

/* less than 500px */
@media (max-width: 500px) {
    .topimg {
        display: block;
    }

    .toptext {
        display: none;
    }

    .page-footer {
        padding: 2px;
        font-size: 9px;
    }

    .page_name {
        margin-left: 0 !important;
    }

    .page-content {
        padding: 1.25rem !important;
    }
}

/* greater than 500px */
@media (min-width: 500px) {
    .topimg {
        display: none;
    }

    .toptext {
        display: block;
    }
}


.elevation-0 {
    box-shadow: none !important;
}

.elevation-1 {
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24) !important;
}

.elevation-2 {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23) !important;
}

.elevation-3 {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23) !important;
}

.elevation-4 {
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22) !important;
}

.elevation-5 {
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3), 0 15px 12px rgba(0, 0, 0, 0.22) !important;
}

td, th {
    text-align: center !important;
    vertical-align: middle !important;
    padding: 3px !important;
    font-size: 15px;

}

.page_name {
    margin-top: 61px;
    margin-left: 250px;
    background: #fff;
    padding: 5px 10px;
    font-size: 20px;
    color: darkgreen;

}

label {
    font-size: 15px;
    margin-top: 10px;
    margin-bottom: 2px !important;
    color: black;
    margin-left: 2px;

}

.select2-container--bootstrap-5 .select2-selection--multiple .select2-selection__rendered .select2-selection__choice {
    background: #cff4fc;
}


table {
    border: 1px solid #0000000d;
}

thead {
    background-color: black;
    color: white;
}

.export-btn, .btn-sm {
    scale: 0.85;
}

.pagination {
    --bs-pagination-padding-x: 0.5rem;
    --bs-pagination-padding-y: 0.25rem;
    --bs-pagination-font-size: 1rem;
}

.table.dataTable>thead .sorting_asc:before, .table.dataTable>thead .sorting_desc:before, .table.dataTable>thead .sorting:before, .table.dataTable>thead .sorting_asc_disabled:before, .table.dataTable>thead .sorting_desc_disabled:before, .table.dataTable>thead .sorting_asc:after, .table.dataTable>thead .sorting_desc:after, .table.dataTable>thead .sorting:after, .table.dataTable>thead .sorting_asc_disabled:after, .table.dataTable>thead .sorting_desc_disabled:after {
    top: 2px;
}

.formerror {
    border: 1px ridge red !important;
    border-radius: 0.25rem !important;
    -webkit-border-radius: 0.25rem !important;
    -moz-border-radius: 0.25rem !important;
    -ms-border-radius: 0.25rem !important;
    -o-border-radius: 0.25rem !important;
}

.radioerror {
    color: red !important;
}

.text-red {
    color: red !important;
}

.text-blue {
    color: blue !important;
}

.text-green {
    color: green !important;
}

.text-yellow {
    color: yellow !important;
}

.text-orange {
    color: orange !important;
}

.text-purple {
    color: purple !important;
}

.text-pink {
    color: pink !important;
}

.text-teal {
    color: rgb(1, 100, 100) !important;
}

.text-brown {
    color: brown !important;
}

.text-gray {
    color: gray !important;
}

.text-black {
    color: black !important;
}

.text-white {
    color: white !important;
}

.text-cyan {
    color: cyan !important;
}

.text-magenta {
    color: magenta !important;
}

.text-lime {
    color: lime !important;
}

.text-indigo {
    color: indigo !important;
}

.text-silver {
    color: silver !important;
}

.text-gold {
    color: #fcda60 !important;
}

.text-orchid {
    color: orchid !important;
}

.text-turquoise {
    color: turquoise !important;
}

.text-pm {
    color: #107da6 !important;
}

.text-ts {
    color: #21bdba !important;
}

.font-1 {
    font-size: 1px !important;
}

.font-2 {
    font-size: 2px !important;
}

.font-3 {
    font-size: 3px !important;
}

.font-4 {
    font-size: 4px !important;
}

.font-5 {
    font-size: 5px !important;
}

.font-6 {
    font-size: 6px !important;
}

.font-7 {
    font-size: 7px !important;
}

.font-8 {
    font-size: 8px !important;
}

.font-9 {
    font-size: 9px !important;
}

.font-10 {
    font-size: 10px !important;
}

.font-11 {
    font-size: 11px !important;
}

.font-12 {
    font-size: 12px !important;
}

.font-13 {
    font-size: 13px !important;
}

.font-14 {
    font-size: 14px !important;
}

.font-15 {
    font-size: 15px !important;
}

.font-16 {
    font-size: 16px !important;
}

.font-17 {
    font-size: 17px !important;
}

.font-18 {
    font-size: 18px !important;
}

.font-19 {
    font-size: 19px !important;
}

.font-20 {
    font-size: 20px !important;
}

.font-21 {
    font-size: 21px !important;
}

.font-22 {
    font-size: 22px !important;
}

.font-23 {
    font-size: 23px !important;
}

.font-24 {
    font-size: 24px !important;
}

.font-25 {
    font-size: 25px !important;
}

.font-26 {
    font-size: 26px !important;
}

.font-27 {
    font-size: 27px !important;
}

.font-28 {
    font-size: 28px !important;
}

.font-29 {
    font-size: 29px !important;
}

.font-30 {
    font-size: 30px !important;
}

.font-31 {
    font-size: 31px !important;
}

.font-32 {
    font-size: 32px !important;
}

.font-33 {
    font-size: 33px !important;
}

.font-34 {
    font-size: 34px !important;
}

.font-35 {
    font-size: 35px !important;
}

.font-36 {
    font-size: 36px !important;
}

.font-37 {
    font-size: 37px !important;
}

.font-38 {
    font-size: 38px !important;
}

.font-39 {
    font-size: 39px !important;
}

.font-40 {
    font-size: 40px !important;
}

.font-41 {
    font-size: 41px !important;
}

.font-42 {
    font-size: 42px !important;
}

.font-43 {
    font-size: 43px !important;
}

.font-44 {
    font-size: 44px !important;
}

.font-45 {
    font-size: 45px !important;
}

.font-46 {
    font-size: 46px !important;
}

.font-47 {
    font-size: 47px !important;
}

.font-48 {
    font-size: 48px !important;
}

.font-49 {
    font-size: 49px !important;
}

.font-50 {
    font-size: 50px !important;
}

.font-51 {
    font-size: 51px !important;
}

.font-52 {
    font-size: 52px !important;
}

.font-53 {
    font-size: 53px !important;
}

.font-54 {
    font-size: 54px !important;
}

.font-55 {
    font-size: 55px !important;
}

.font-56 {
    font-size: 56px !important;
}

.font-57 {
    font-size: 57px !important;
}

.font-58 {
    font-size: 58px !important;
}

.font-59 {
    font-size: 59px !important;
}

.font-60 {
    font-size: 60px !important;
}

.swal-text {
    text-align: center;
}

.small-box {
    border-radius: 0.25rem;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgba(0, 0, 0, 0.2);
    display: block;
    margin-bottom: 20px;
    position: relative;
    color: white;
}

.small-box>.inner {
    padding: 10px;
}

.small-box>.small-box-footer {
    background-color: rgba(0, 0, 0, 0.1);
    color: rgba(255, 255, 255, 0.8);
    display: block;
    padding: 3px 0;
    position: relative;
    text-align: center;
    text-decoration: none;
}

.small-box>.small-box-footer:hover {
    background-color: rgba(0, 0, 0, 0.15);
    color: #fff;
}

.small-box h2 {
    font-size: 2.2rem;
    font-weight: 700;
    margin: 0 0 10px;
    padding: 0;
    white-space: nowrap;
    color: white;
}

@media (min-width: 992px) {

    .col-xl-2 .small-box h2,
    .col-lg-2 .small-box h2,
    .col-md-2 .small-box h2 {
        font-size: 1.6rem;
    }

    .col-xl-3 .small-box h2,
    .col-lg-3 .small-box h2,
    .col-md-3 .small-box h2 {
        font-size: 1.6rem;
    }
}

@media (min-width: 1200px) {

    .col-xl-2 .small-box h2,
    .col-lg-2 .small-box h2,
    .col-md-2 .small-box h2 {
        font-size: 2.2rem;
    }

    .col-xl-3 .small-box h2,
    .col-lg-3 .small-box h2,
    .col-md-3 .small-box h2 {
        font-size: 2.2rem;
    }
}

.small-box p {
    font-size: 1rem;
}

.small-box p>small {
    color: #f8f9fa;
    display: block;
    font-size: .9rem;
    margin-top: 5px;
}

.small-box h2,
.small-box p {
    z-index: 5;
}

.small-box .icon {
    color: rgba(0, 0, 0, 0.15);
    z-index: 0;
}

.small-box .icon>i {
    font-size: 50px;
    position: absolute;
    right: 15px;
    top: 15px;
    transition: -webkit-transform 0.3s linear;
    transition: transform 0.3s linear;
    transition: transform 0.3s linear, -webkit-transform 0.3s linear;
}

.small-box .icon>i.fa, .small-box .icon>i.fas, .small-box .icon>i.far, .small-box .icon>i.fab, .small-box .icon>i.fal, .small-box .icon>i.fad, .small-box .icon>i.ion {
    font-size: 70px;
    top: 20px;
}

.small-box .icon svg {
    font-size: 70px;
    position: absolute;
    right: 15px;
    top: 15px;
    transition: -webkit-transform 0.3s linear;
    transition: transform 0.3s linear;
    transition: transform 0.3s linear, -webkit-transform 0.3s linear;
}

.small-box:hover {
    text-decoration: none;
}

.small-box:hover .icon>i, .small-box:hover .icon>i.fa, .small-box:hover .icon>i.fas, .small-box:hover .icon>i.far, .small-box:hover .icon>i.fab, .small-box:hover .icon>i.fal, .small-box:hover .icon>i.fad, .small-box:hover .icon>i.ion {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.small-box:hover .icon>svg {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

@media (max-width: 767.98px) {
    .small-box {
        text-align: center;
    }

    .small-box .icon {
        display: none;
    }

    .small-box p {
        font-size: 12px;
    }

}

.sidebar-wrapper .menu-title {
    font-size: 15px;
}

.sidebar-wrapper i {
    font-size: 15px;
}